package com.nisum.paymentvendorsimulator.creditcard.domain.dto;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class CreditCardAdditionalData {

  private String avsResult = "4 AVS not supported for this card type";
  private String cardSummary = "1111";
  private String refusalReasonRaw = "AUTHORISED";
  private String eci = "N/A";
  private String acquirerAccountCode = "TestPmmAcquirerAccount";
  private String expiryDate = "8/2018";
  private String xid = "N/A";
  private String cavvAlgorithm = "N/A";
  private String cardBin = "411111";
  private String threeDAuthenticated = "false";
  private String cvcResultRaw = "1";
  private String paymentMethodVariant = "visa";
  private String acquirerReference = "7CAI01SQB4C";
  private String cardIssuingCountry = "NL";
  private String liabilityShift = "false";
  private String authCode = "52328";
  private String cardHolderName = "Naga Bolla";
  private String isCardCommercial = "unknown";
  private String threeDOffered = "false";
  private String threeDOfferedResponse = "N/A";
  private String authorisationMid = "1000";
  private String issuerCountry = "NL";
  private String cvcResult = "1 Matches";
  private String cavv = "N/A";
  private String threeDAuthenticatedResponse = "N/A";
  private String avsResultRaw = "4";
  private String paymentMethod = "visa";
  private String cardPaymentMethod = "visa";
  private String acquirerCode = "TestPmmAcquirer";

}
