package com.nisum.paymentvendorsimulator.creditcard.domain.dto;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class CreditCardRequest {

  CreditCardData card;
  CreditCardAmount amount;

  @NotBlank(message="reference can't be blank")
  String reference;

  @NotBlank(message="merchantAccount can't be blank")
  String merchantAccount;
  CreditCardAddress billingAddress;
//  String returnUrl; // for Adyen payment, not classic integration, do we need?

}
